### Method

# Gdk Toplevelinhibit_system_shortcuts

#### Declaration [src]

    void
    gdk_toplevel_inhibit_system_shortcuts (
      GdkToplevel* toplevel,
      GdkEvent* event
    )

#### Description [src]

Requests that the `toplevel` inhibit the system shortcuts.

This is asking the desktop environment/windowing system to let all keyboard events reach the surface, as long as it is focused, instead of triggering system actions.

If granted, the rerouting remains active until the default shortcuts processing is restored with `gdk_toplevel_restore_system_shortcuts()`, or the request is revoked by the desktop environment, windowing system or the user.

A typical use case for this API is remote desktop or virtual machine viewers which need to inhibit the default system keyboard shortcuts so that the remote session or virtual host gets those instead of the local environment.

The windowing system or desktop environment may ask the user to grant or deny the request or even choose to ignore the request entirely.

The caller can be notified whenever the request is granted or revoked by listening to the `GdkToplevel:shortcuts-inhibited` property.

#### Parameters

`event`

  Type: `GdkEvent`

  The `GdkEvent` that is triggering the inhibit request, or `NULL` if none is available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.